RemoteException (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class RemoteException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AccessException, ActivateFailedException, ConnectException, ConnectIOException, ExportException, InvalidTransactionException, MarshalException, NoSuchObjectException, ServerError, ServerException, ServerRuntimeException, SkeletonMismatchException, SkeletonNotFoundException, StubNotFoundException, TransactionRequiredException, TransactionRolledbackException, UnexpectedException, UnknownHostException, UnmarshalException

public class RemoteException
extends IOException

A `RemoteException` is the common superclass for a number of communication-related exceptions that may occur during the execution of a remote method call. Each method of a remote interface, an interface that extends `java.rmi.Remote`, must list `RemoteException` in its throws clause.

As of release 1.4, this exception has been retrofitted to conform to the general purpose exception-chaining mechanism. The "wrapped remote exception" that may be provided at construction time and accessed via the public `detail` field is now known as the cause, and may be accessed via the `Throwable.getCause()` method, as well as the aforementioned "legacy field."

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary
`Throwable` | `detail` Nested Exception to hold wrapped remote exception.

Constructor Summary
`RemoteException()` Constructs a `RemoteException` with no specified detail message.
`RemoteException(String s)` Constructs a `RemoteException` with the specified detail message.
`RemoteException(String s, Throwable ex)` Constructs a `RemoteException` with the specified detail message and nested exception.

Method Summary
`Throwable` | `getCause()` Returns the wrapped remote exception (the cause).
`String` | `getMessage()` Returns the detail message, including the message from the nested exception if there is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public Throwable detail

  Nested Exception to hold wrapped remote exception.

  This field predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.

Constructor Detail

### RemoteException

    public RemoteException()

  Constructs a `RemoteException` with no specified detail message.

### RemoteException

    public RemoteException(String s)

  Constructs a `RemoteException` with the specified detail message.

Parameters:
  `s` - the detail message

### RemoteException

    public RemoteException(String s,
                           Throwable ex)

  Constructs a `RemoteException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception

Method Detail

### getMessage

    public String getMessage()

  Returns the detail message, including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message, including nested exception message if any

### getCause

    public Throwable getCause()

  Returns the wrapped remote exception (the cause).

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the wrapped remote exception, which may be `null`.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.